## plasma-runner-kopete 0.4

=== CMakeLists.txt ===
project(kopetecontactsrunner)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

find_package(KDE4 REQUIRED)
find_package(Qt4 REQUIRED)
include (KDE4Defaults)
find_package(KDE4Workspace REQUIRED)
find_package(Kopete REQUIRED)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${KDE4_INCLUDES}
                     ${KDE4WORKSPACE_INCLUDE_DIR}
                     ${QT_INCLUDE_DIR}
                     ${QT_QTDBUS_INCLUDE_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}/libs)

add_subdirectory(src)

macro_display_feature_log()

=== src/CMakeLists.txt ===
set(krunner_kopetecontacts_SRCS
    kopetecontactsrunner.cpp
)

kde4_add_plugin(krunner_kopetecontacts ${krunner_kopetecontacts_SRCS})
target_link_libraries(krunner_kopetecontacts ${KDE4_KIO_LIBS} ${KDE4_PLASMA_LIBS})

install(TARGETS krunner_kopetecontacts DESTINATION ${PLUGIN_INSTALL_DIR} )

install(FILES plasma-runner-kopetecontacts.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
plasma-runner-kopete (0.4-0ubuntu1) natty; urgency=low

  * New upstream release
  * Switch to source format 3.0 (quilt):
    - Bump debhelper build-depend version to 7.3.16 or greater
  * Switch from kde.mk to pkg-kde-tool's dh7 kde sequence:
    - Remove cdbs build-dependency
    - Bump build-depend version on pkg-kde-tools to 0.5.0 or greater
  * Bump Standards-Version to 3.9.1

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 29 Dec 2010 11:54:23 -0500

plasma-runner-kopete (0.3-0ubuntu1) karmic; urgency=low

  * New upstream version

 -- Michał Zając <michal.zajac@gmail.com>  Tue, 04 Aug 2009 18:43:27 +0200

plasma-runner-kopete (0.2.1-0ubuntu1) karmic; urgency=low

  * Initial release. (Closes LP: #384382)

 -- Michał Zając <michal.zajac@gmail.com>  Sat, 06 Jun 2009 22:57:21 +0200

=== debian/control ===
Source: plasma-runner-kopete
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Michał Zając <michal.zajac@gmail.com>
Build-Depends: debhelper (>= 7.3.16), pkg-kde-tools (>= 0.5.0), cmake, libkopete-dev,
 kdebase-workspace-dev
Standards-Version: 3.9.1
Homepage: http://www.kde-apps.org/content/show.php?content=105263
 
Package: plasma-runner-kopete
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Start chat with your Kopete contacts using KRunner
 This is a plugin for KRunner which searches through your Kopete contacts and
 allows you to start a chat with them without needing to look trough the Kopete
 contacts list.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kde
